> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List waveforms

> List image Podcast waveforms.

MCP tool: `podcast_list_waveforms`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/waveforms
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/waveforms:
    get:
      tags:
        - Podcast
      summary: list waveforms
      description: List image Podcast waveforms.
      operationId: podcast_list_waveforms
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.RippleWaveformListResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.RippleWaveformListResp:
      properties:
        list:
          items:
            $ref: '#/components/schemas/vo.RippleWaveformItem'
          type: array
      type: object
    vo.RippleWaveformItem:
      properties:
        config_oss_key:
          type: string
        id:
          type: integer
        is_demo:
          type: boolean
        waveform_info:
          $ref: '#/components/schemas/vo.RippleWaveformInfo'
      type: object
    vo.RippleWaveformInfo:
      properties:
        end:
          type: number
        start:
          type: number
        waveformNode:
          $ref: '#/components/schemas/vo.RippleWaveformNodeInfo'
      type: object
    vo.RippleWaveformNodeInfo:
      properties:
        h:
          type: integer
        prop:
          $ref: '#/components/schemas/vo.RippleWaveformPropInfo'
        w:
          type: integer
      type: object
    vo.RippleWaveformPropInfo:
      properties:
        audioPath:
          type: string
        waveformConfig:
          additionalProperties: {}
          type: object
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````